# Uses of Interface
javax.validation.ValidatorFactory

Packages that use ValidatorFactory
Package
Description
javax.validation
javax.validation.spi

## Uses of ValidatorFactory in javax.validation

Methods in javax.validation that return ValidatorFactory
Modifier and Type
Method
Description
`static ValidatorFactory`
Validation.`buildDefaultValidatorFactory()`
`ValidatorFactory`
Configuration.`buildValidatorFactory()`

## Uses of ValidatorFactory in javax.validation.spi

Methods in javax.validation.spi that return ValidatorFactory
Modifier and Type
Method
Description
`ValidatorFactory`
ValidationProvider.`buildValidatorFactory(ConfigurationState configurationState)`